Tspi_Context_Close(3)

NAME
Tspi_Context_Close - destroy a TSP context handle.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Context_Close(TSS_HCONTEXT hLocalContext);

DESCRIPTION

Tspi_Context_Close destroys a context by passing in the handle to that context.

PARAMETERS

  hLocalContext
The handle to the context to be closed.

RETURN CODES

Tspi_Context_Close returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - hLocalContext is an invalid handle.

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_Context_Close conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_Create(3), Tspi_Context_Connect(3).